1. Company
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
        GET
    • Employee
      • Retrieve an Employee
      • Retrieve all Employees
      • Retrieve all Employees (V1.1)
      • Create an Employee
      • Upsert Employees in Bulk
      • Update an Employee by Personal ID
      • Update an Employee by Payflow ID
      • Update an Employee by Payroll ID
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
      • Retrieve all Payments
      • Retrieve Employee Payments
      • Calculate Employee Available Amount
      • Request a Payment
      • Subscribe to Payment Updates
      • Mark Payments as Informed
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Company

Retrieve your Company Details

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/company
Retrieves the complete company configuration available to the authenticated integration.
The response contains company metadata, subsidiaries, billing information, payment cycle settings, and technical notification settings configured in Payflow.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/company' \
--header 'authorization: <api-key>'
Response Response Example
{
    "data": {
        "id": 1,
        "createdAt": "2025-04-30T09:00:00.000Z",
        "name": "Payflow",
        "legalName": "Payflow Digital Inc.",
        "taxId": "B00000000",
        "billingAddress": "Billing Address",
        "subsidiaries": [
            {
                "id": 1,
                "createdAt": "2025-04-30T09:00:00.000Z",
                "name": "Payflow",
                "legalName": "Payflow Digital Inc.",
                "taxId": "ESA00000000",
                "billingAddress": "Billing Address",
                "subsidiaryCode": "1"
            }
        ],
        "settings": {
            "cutoffDay": [
                21
            ]
        },
        "technicalIssuesEmails": [
            "technical.issues@payflow.es"
        ],
        "sendSFTPNotifications": false
    }
}
Modified at 2026-05-12 10:07:14
Previous
Test an API Key
Next
Retrieve an Employee
Built with